Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_GIOP_Locate_Request_Header Class Reference

Location service support. More...

`#include <GIOP_Message_Locate_Header.h>`

Collaboration diagram for TAO_GIOP_Locate_Request_Header:

[legend]
List of all members.

## Public Methods
| TAO_GIOP_Locate_Request_Header (TAO_InputCDR &msg, TAO_ORB_Core *core)
| Constructor. More...
void | request_id (CORBA::ULong id)
| Set the id. More...
CORBA::ULong | request_id (void)
| Get the request id. More...
const TAO_ObjectKey & | object_key (void) const
| Get the object_key in read mode.. More...
TAO_ObjectKey & | object_key (void)
| Get the object_key in read/write mode.. More...
TAO_Tagged_Profile & | profile (void)
| Get the reference to the underlying profile. More...
TAO_InputCDR & | incoming_stream (void)
| Get the CDR stream for read/write. More...
## Private Attributes
CORBA::ULong | request_id_
| Request id. More...
TAO_Tagged_Profile | profile_
| Profile info. More...
TAO_ObjectKey | object_key_
| Object Key. More...
TAO_InputCDR * | incoming_
| Incoming CDR stream. More...

## Detailed Description

Location service support.

## Constructor & Destructor Documentation

ACE_INLINE TAO_GIOP_Locate_Request_Header::TAO_GIOP_Locate_Request_Header | ( | TAO_InputCDR & | msg,
|  | TAO_ORB_Core * | orb
| ) |

| Constructor.

## Member Function Documentation

ACE_INLINE TAO_InputCDR & TAO_GIOP_Locate_Request_Header::incoming_stream | ( | void |  | ) |

| Get the CDR stream for read/write.

ACE_INLINE TAO_ObjectKey & TAO_GIOP_Locate_Request_Header::object_key | ( | void |  | ) |

| Get the object_key in read/write mode..

ACE_INLINE const TAO_ObjectKey & TAO_GIOP_Locate_Request_Header::object_key | ( | void |  | ) | const

| Get the object_key in read mode..

ACE_INLINE TAO_Tagged_Profile & TAO_GIOP_Locate_Request_Header::profile | ( | void |  | ) |

| Get the reference to the underlying profile.

ACE_INLINE CORBA::ULong TAO_GIOP_Locate_Request_Header::request_id | ( | void |  | ) |

| Get the request id.

ACE_INLINE void TAO_GIOP_Locate_Request_Header::request_id | ( | CORBA::ULong | id | ) |

| Set the id.

## Member Data Documentation

TAO_InputCDR* TAO_GIOP_Locate_Request_Header::incoming_`[private]`

| Incoming CDR stream.

TAO_ObjectKey TAO_GIOP_Locate_Request_Header::object_key_`[private]`

| Object Key.

TAO_Tagged_Profile TAO_GIOP_Locate_Request_Header::profile_`[private]`

| Profile info.

CORBA::ULong TAO_GIOP_Locate_Request_Header::request_id_`[private]`

| Request id.

The documentation for this class was generated from the following files:

- GIOP_Message_Locate_Header.h
- GIOP_Message_Locate_Header.i